import React from "react"
import CookieConsent, { Cookies as cookie } from "react-cookie-consent"

interface Icookies {
    location?: string
    buttonText?: string
    declineButtonText?: String
    expires?: number
    styles?: {}
    buttonStyles?: {}
    declineButtonStyle?: {}
    decline: any
}

const Cookies = (props: Icookies) => {
    const {
        location = "bottom",
        buttonText = "Accepter",
        declineButtonText = "Refuser",
        buttonStyles,
        expires = 365,
        styles,
        declineButtonStyle,
        decline,
    } = props
    return (
        <CookieConsent
            location={location}
            buttonText={buttonText}
            declineButtonText={declineButtonText}
            cookieName="onegeo-portal-gdpr"
            style={styles}
            buttonStyle={buttonStyles}
            declineButtonStyle={declineButtonStyle}
            expires={expires}
            enableDeclineButton
            onDecline={() => {
                decline()
                // cookie.remove("tagManagerCookieName")
            }}
        >
            Nous nous soucions de vos données personnelles et utilisons des
            cookies afin d’améliorer votre expérience.
        </CookieConsent>
    )
}

export default Cookies
