import React, { Fragment, useState } from "react"

import { Dialog, Transition } from "@headlessui/react"
import { SearchIcon } from "@heroicons/react/outline"

import { Search } from "@onegeo-suite/gatsby-theme-onegeo"

interface Props {}

const CommandPalette = (props: Props) => {
    const {} = props

    // @ts-ignore
    const [query, setQuery] = useState("")
    const [open, setOpen] = useState(false)

    return (
        <>
            <section className="my-4 ">
                <button
                    onClick={() => {
                        setOpen(!open)
                    }}
                    type="submit"
                    className="z-50 px-4 outline-none focus:outline-none active:outline-none"
                >
                    <SearchIcon
                        className="text-base-content mt-1 h-6 w-6"
                        aria-hidden="true"
                    />
                </button>
            </section>

            <Transition.Root
                show={open}
                as={Fragment}
                afterLeave={() => setQuery("")}
            >
                <Dialog
                    as="div"
                    className="fixed inset-0 z-10 overflow-y-auto p-4 sm:p-6 md:p-20"
                    onClose={setOpen}
                >
                    <Transition.Child
                        as={Fragment}
                        enter="ease-out duration-300"
                        enterFrom="opacity-0"
                        enterTo="opacity-100"
                        leave="ease-in duration-300"
                        leaveFrom="opacity-100"
                        leaveTo="opacity-0"
                    >
                        <Dialog.Overlay className="fixed inset-0 bg-gray-500 bg-opacity-25 blur transition-opacity" />
                    </Transition.Child>

                    <div className="fixed inset-0 z-10 overflow-y-auto p-4 sm:p-6 md:p-20">
                        <Transition.Child
                            as={Fragment}
                            enter="ease-out duration-300"
                            enterFrom="opacity-0 scale-95"
                            enterTo="opacity-100 scale-100"
                            leave="ease-in duration-200"
                            leaveFrom="opacity-100 scale-100"
                            leaveTo="opacity-0 scale-95"
                        >
                            <Dialog.Panel className="mx-auto max-w-xl transform divide-y divide-gray-100 overflow-hidden rounded-xl bg-white shadow-2xl ring-1 ring-black ring-opacity-5 transition-all">
                                <Search />
                            </Dialog.Panel>
                        </Transition.Child>
                    </div>
                </Dialog>
            </Transition.Root>
        </>
    )
}

export default CommandPalette
