import React from "react"
import { Link } from "@onegeo-suite/gatsby-theme-onegeo"

interface ILinkList {
    title?: string
    links?: object[]
    options?: any
}

const LinkList = (props: ILinkList) => {
    const { title = "Liens", links = [] } = props
    if (links?.length == 0) return null

    const options = props.options ?? {}
    const oClass = options.class || {}

    return (
        <aside className="bg-base-100 mb-5 max-w-md rounded-xl p-6 lg:shadow-lg">
            <p className="text-base-300 text-sm font-bold uppercase tracking-widest">
                {title}
            </p>
            <ul className="mt-2">
                {links.map((item: any, key: number) => {
                    return (
                        <li key={key}>
                            <Link
                                to={item.url}
                                target="_blank"
                                className="overflow-hidden text-ellipsis"
                                {...options}
                            >
                                {item.name || item.url}
                            </Link>
                        </li>
                    )
                })}
            </ul>
        </aside>
    )
}

export default LinkList
