import { Link } from "@onegeo-suite/gatsby-theme-onegeo"
import React from "react"
import Image, { Iimage } from "./Image"

interface Ilogo extends Iimage {
    url?: string
    src?: string
    title?: string
    image?: any
    className?: string
}

const Logo = (props: Ilogo) => {
    const { url, title, image, className } = props

    return (
        <div className={`flex flex-col items-center justify-center `}>
            {url ? (
                <Link to={url} className="">
                    <Image image={image} className={className} />
                </Link>
            ) : (
                <Image image={image} className={className} />
            )}

            {title && <div className="mt-2 text-xs">{title}</div>}
        </div>
    )
}

export default Logo
