import React from "react"
import { LinkList, Toc } from "@onegeo-suite/gatsby-theme-onegeo"

interface ISideBar {
    toc?: boolean
    documents?: object[]
    links?: object[]
}

const SideBar = (props: ISideBar) => {
    const { documents = [], links = [], toc = false } = props
    if (documents?.length == 0 && links?.length == 0) return null

    // Format list for component LinkList
    const documentsData = documents.map((item) => {
        return {
            url: item?.directus_files_id?.imageFile.publicURL,
            name: item?.directus_files_id?.filename_download,
        }
    })

    // Format list for component LinkList
    const linkData = links.map((item) => {
        return {
            url: item?.links_id?.url,
            name: item?.links_id?.name,
        }
    })

    return (
        <div className="sticky top-24 h-full">
            {toc && <Toc />}

            <LinkList
                title="Téléchargements"
                links={documentsData}
                options={{ download: true }}
            ></LinkList>

            <LinkList title="Liens" links={linkData}></LinkList>
        </div>
    )
}

export default SideBar
