import React from "react"

import OMSBaseLayer from "./OMSBaseLayer"
import WMTSBaseLayer from "./WMTSBaseLayer"

interface Props {
    layers: any
}

const MapstoreBaseLayer = (props: Props) => {
    const { layers } = props

    return (
        <>
            {
                // BACKGROUNDS

                layers
                    .filter((layer) => layer.group === "background")
                    .map((layer, key) => {
                        switch (layer.type) {
                            case "osm":
                                return (
                                    <OMSBaseLayer
                                        key={key}
                                        checked={layer.visibility}
                                        name={layer.title}
                                    />
                                )
                            case "wmts":
                                return (
                                    <WMTSBaseLayer
                                        key={key}
                                        checked={layer.visibility}
                                        name={layer.title}
                                        opacity={layer.opacity}
                                        url={{
                                            hostname: layer.url,
                                            layername: layer.name,
                                            format: layer.format,
                                            style: layer.style,
                                        }}
                                    />
                                )
                        }
                    })
            }
        </>
    )
}

export default MapstoreBaseLayer
