import React from "react"
import { LayersControl, TileLayer } from "react-leaflet"

interface Props {
    checked: boolean
    name: string
}

const OMSBaseLayer = (props: Props) => {
    const { checked, name } = props

    return (
        <LayersControl.BaseLayer checked={checked} name={name}>
            <TileLayer
                attribution='&copy; <a href="http://osm.org/copyright">OpenStreetMap</a> contributors'
                url="https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png"
            />
        </LayersControl.BaseLayer>
    )
}

export default OMSBaseLayer
